<template name="courseDetailsPage">
	<div class="container mw-lg">
		<div class="row course-page g-3">
			<div class="col-lg-8">
				<div class="page-component">
					{{#if (isArchived course)}}
						<div class="alert alert-archived text-center" role="alert">
							<strong>{{i18n 'course.archive.alert' 'This course is archived and not active anymore.'}}</strong>
						</div>
					{{/if}}
					{{#if edit}}
						{{> courseEdit course}}
					{{else}}
						<div class="course-details {{courseStateClasses course}}">
							<div class="details-header" {{detailsHeaderAttr course}}>
								<div class="details-header-inner-wrapper">
									{{#if course.internal}}
										<span class="details-internal"
											data-tooltip="{{i18n 'courseCompact.internal_course' 'Internal course'}}"></span>
									{{/if}}
									<!--
										<div class="details-header-tags">
											{{#if (isProposal course)}}
												<div class="proposal-tag">
													<span class="fa-regular fa-lightbulb fa-fw"
														aria-hidden="true"></span>
													{{i18n 'course.details.is-proposalTag' 'Proposal'}}
												</div>
											{{/if}}
											{{> regionTag course}}
										</div>
									-->
									<div class="course-details-title">
										{{#if (mayEdit course)}}
											{{> editable instance.editableName}}
										{{else}}
											<h2>{{course.name}}</h2>
										{{/if}}
									</div>
									{{#if course.categories}}
										<div class="course-details-categories">
											{{> courseCategories course}}
										</div>
									{{/if}}
									{{> courseGroupList course}}
								</div>
							</div>
							{{> courseDetailsSubmenu editableDescription=instance.editableDescription course=course}}
						</div>
						{{#unless course.isPrivate}}
							{{> sharing}}
						{{/unless}}
						{{#if (mayEdit course)}}
							<div class="actions">
								{{> buttonEdit event="js-course-edit"}}
								{{#if (isArchived course)}}
									{{> buttonCourseUnarchive}}
								{{/if}}
								{{#unless expanded}}
									{{#unless (isArchived course)}}
										{{> buttonCourseArchive 
										buttonClass="btn-archive"
										textIdle=(i18n 'course.archive.archiveButton.archive' 'Archive')
									}}
									{{/unless}}
									{{> buttonDelete event="js-expand"}}
								{{/unless}}
							</div>
						{{/if}}
						{{#if expanded}}
							{{> confirmDialog hasArchiveButton=(isArchived course)}}
						{{/if}}
						{{> courseRoles roles=rolesDetails}}
					{{/if}}
				</div>
				{{#if mobileViewport}}
					{{> courseEvents}}
				{{else}}
					{{> discussion courseId=course._id select=select}}
				{{/if}}
			</div>
			<div class="col-lg-4">
				{{#unless mobileViewport}}
					{{> courseEvents}}
				{{/unless}}
				<div class="page-component">
					{{> courseMembers course}}
				</div>
				{{#if mobileViewport}}
					{{> discussion courseId=course._id select=select}}
				{{/if}}
				<div class="page-component">
					{{> report}}
				</div>
			</div>
		</div>
	</div>
</template>

<template name="confirmDialog">
	<div class="course-delete-confirmation">
		<p>{{i18n 'course.reallydelete' 'Please confirm that you would like to delete this course. This cannot be undone.'}}
		</p>
		<div class="form-actions">
			{{#unless hasArchiveButton}}
				{{> buttonCourseArchive 
					buttonClass="btn-warning"
					textIdle=(i18n 'course.delete.confirm.archiveButton' 'Rather archive')
				}}
			{{/unless}}
			{{> buttonDeleteConfirm
				event="js-delete-course-confirm"
				textIdle=(i18n 'course.delete.confirm.button' 'Delete this course and its events')
				textBusy=(i18n 'course.delete.confirm.button.busy' 'Deleting course…')
			}}
			{{> buttonCancel event="js-collapse"}}
		</div>
	</div>
</template>

<template name="courseDetailsSubmenu">
	<nav class="course-details-nav">
		<ul class="nav nav-tabs">
			<li role="presentation" class='active'>
				<a href="#description" data-toggle="tab">
					<span class="fa-solid fa-file-lines fa-fw" aria-hidden="true"></span>
					<span class="tab-label">{{i18n 'course.subnav.descr' 'Description'}}</span>
				</a>
			</li>
			{{#if mayEdit}}
				<li role="presentation">
					<a href="#files" data-toggle="tab">
						<span class="fa-solid fa-file fa-fw" aria-hidden="true"></span>
						<span class="tab-label">{{i18n 'course.subnav.files' 'Files'}}</span>
					</a>
				</li>
			{{/if}}
			<li role="presentation">
				<a href="#history" data-toggle="tab">
					<span class="fa-solid fa-clock-rotate-left fa-fw" aria-hidden="true"></span>
					<span class="tab-label">{{i18n 'course.subnav.history' 'History'}}</span>
				</a>
			</li>
		</ul>
	</nav>
	<div class="tab-content course-details-content">
		<div class="tab-pane {{#unless state 'descriptionTruncated'}}mh-none overflow-visible{{else}}overflow-hidden{{/unless}} active"
			 id="description">
			 <div
				class="course-description {{#unless state 'descriptionTruncated'}}mh-none overflow-visible{{else}}overflow-hidden{{/unless}}">
				{{> courseDetailsDescription editableDescription=editableDescription course=course}}
				{{#each info in customFields}}
					<p>
						<strong>{{info.displayText}}</strong>: <span
								style="white-space: pre-line;">{{info.value}}</span>
					</p>
				{{/each}}
			</div>
			<!--
			<div class="fade-wrap">
				{{#if state 'descriptionTruncated'}}
					<div class="fade-bottom course-description-fade-bottom"></div>
				{{/if}}
				{{#if state 'descriptionTruncated'}}
					<div role="button" class="js-course-desciption-show-more link-primary text-center">
						— {{i18n 'courseDetails.showMore' 'show more'}} —
					</div>
				{{/if}}
			</div>
			-->
		</div>
		<div class="tab-pane course-history" id="history">
			{{> coursehistory}}
		</div>
		{{#if mayEdit}}
			<div class="tab-pane" id="files">
				{{> courseFiles}}
			</div>
		{{/if}}
		{{#unless course.isPrivate}}
			{{> pricePolicy dismissable=true wrap='course-details-price-policy'}}
		{{/unless}}
	</div>
</template>

<template name="courseDetailsDescription">
	<div class="course-details-description">
		{{#if mayEdit}}
			{{> editable editableDescription}}
		{{else}}
			{{{course.description}}}
		{{/if}}
	</div>
</template>

<template name="courseGroupList">
	<div class="tag-group multiline">
		{{#each groupId in groups}}
			{{> groupName groupId=groupId isOrganizer=(isOrganizer groupId)}}
			{{#if (isOrganizer groupId)}}
				<div class="tag group-tag addon">
					<span class="fa-solid fa-bullhorn fa-fw" aria-hidden="true"
						  title="{{i18n 'grouplist.organizer.title' 'Course is co-organized by this group' attr=true}}"></span>
				</div>
			{{/if}}
			{{#if (tools groupId)}}
				<div class="btn-group tag-btn group-tag-btn addon align-top">
					<button type="button" class="dropdown-toggle" aria-expanded="false"
							aria-haspopup="true" data-bs-toggle="dropdown">
					</button>
					<ul class="dropdown-menu dialog-dropdown">
						<li class="dropdown-header">
							{{i18n 'grouplist.editgroup.header' 'Edit group'}}
							<button type="button" class="btn-close"></button>
						</li>
						<li>
							<hr class="dropdown-divider">
						</li>
						{{#each tool in (tools groupId)}}
							<li class="dialog-dropdown-btn">
								{{> Template.dynamic template=tool.template data=tool.data}}
							</li>
						{{/each}}
					</ul>
				</div>
			{{/if}}
		{{/each}}

		{{> courseGroupAdd}}
	</div>
</template>

<template name="courseGroupAdd">
	{{#if groupsToAdd}}
		<div class="btn-group tag-btn group-tag-btn align-top">
			<button type="button" class="dropdown-toggle" aria-expanded="false" aria-haspopup="true"
					data-bs-toggle="dropdown">
				<span class="fa-solid fa-plus fa-fw" aria-hidden="true"></span>
				<span>{{i18n 'course.group.addText' 'link a group'}}</span>
			</button>
			<ul class="dropdown-menu dialog-dropdown">
				<li class="dropdown-header">
					{{i18n 'grouplist.addgroups.header' 'Add group'}}
					<button type="button" class="btn-close"></button>
				</li>
				<li>
					<hr class="dropdown-divider">
				</li>
				{{#each groupsToAdd}}
					<li>
						<button class="btn btn-link js-add-group" type="button" value="{{this}}">
							{{name this}}
						</button>
					</li>
				{{/each}}
				<li class="dialog-dropdown-btn">
					<a href="{{pathFor 'groupDetails' _id='create'}}" class="btn btn-add">
						{{i18n 'profile.createNewGroup.button'}}
					</a>
				</li>
			</ul>
		</div>
	{{/if}}
</template>

<template name="courseGroupRemove">
	{{#if expanded}}
		<div class="group-tool-dialog danger">
			{{i18n 'course.group.confirmRemoveText' 'Stop listing the "{NAME}" group as promoters?' NAME=(name groupId)}}
			<button type="button" class="btn btn-danger js-remove">
				{{i18n 'course.group.confirmRemoveButton' "Delist"}}
			</button>
		</div>
	{{else}}
		<button type="button" class="js-expand btn btn-remove">
			{{i18n 'course.group.remove' 'Remove'}}
		</button>
	{{/if}}
</template>

<template name="courseGroupMakeOrganizer">
	{{#if expanded}}
		<div class="group-tool-dialog add">
			{{i18n 'course.group.confirmOrgText' 'Add members of the "{NAME}" group as editors?' NAME=(name groupId)}}
			{{i18n 'course.group.confirmOrgNotes' "All members of the group will be able to edit the course and create new events for it."}}
			<button type="button" class="btn btn-add js-makeOrganizer">
				{{i18n 'course.group.confimOrgButton' "Give editing rights"}}
			</button>
		</div>
	{{else}}
		<a href="#" class="js-expand btn btn-add">
			<span class="fa-solid fa-bullhorn fa-fw" aria-hidden="true"></span>
			{{i18n 'course.group.addOrgText' "Give editing rights"}}
		</a>
	{{/if}}
</template>

<template name="courseGroupRemoveOrganizer">
	{{#if expanded}}
		<div class="group-tool-dialog danger">
			{{i18n 'course.group.confirmRemoveOrgText' 'Revoke all editing rights from the "{NAME}" group?' NAME=(name groupId)}}
			<button type="button" class="btn btn-danger js-removeOrganizer">
				{{i18n 'course.group.confimRemoveOrgButton' "Take away editing rights"}}
			</button>
		</div>
	{{else}}
		<a href="#" class="js-expand btn btn-remove">
			<span class="fa-solid fa-xmark fa-fw" aria-hidden="true"></span>
			{{i18n 'course.group.removeOrgText' "Remove editing rights"}}
		</a>
	{{/if}}
</template>

<template name="buttonCourseArchive">
	<button type="submit" class="btn {{buttonClass}} js-course-archive" {{disabledIfBusy}}>
		{{#if busy 'archive'}}
			<span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
			{{i18n 'course.archive.archiveButton.archiving' 'Archiving…'}}
		{{else}}
			{{textIdle}}
		{{/if}}
	</button>
</template>

<template name="buttonCourseUnarchive">
	<button type="submit" class="btn btn-go js-course-unarchive" {{disabledIfBusy}}>
		{{#if busy 'unarchive'}}
			<span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
			{{i18n 'course.archive.unarchiveButton.unarchiving' 'Unarchiving…'}}
		{{else}}
			{{i18n 'course.archive.unarchiveButton' 'Unarchive'}}
		{{/if}}
	</button>
</template>
